/* é¦–é¡µä¸“ç”¨æ ·å¼ */

.page-wrapper {
    position: relative;
    width: 100%;
    height: 960px;
    background: url(../images/page-wrapper.jpg) no-repeat center center / cover;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

/* é¡¶éƒ¨æ ‡é¢˜ */
.top-title {
    position: absolute;
    top: 43px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
}

.hex-box {
    width: 297px;
    height: 80px;
    background: url(../image/ydyf.png) no-repeat center center / 100% 100%;
    display: inline-block;
}

.hex-inner {
    color: #fff;
    font-family: Source Han Sans CN;
    font-size: 24px;
    font-weight: bold;
    padding: 32px 60px 0 60px;
    text-align: center;
}

/* å¼¹å¹•åŒºåŸŸ */
.barrage-container {
    flex: 1;
    position: relative;
    width: 100%;
    overflow: hidden;
    z-index: 5;
    margin-top: 140px;
    margin-bottom: 180px;
}

.barrage-item {
    position: absolute;
    white-space: nowrap;
    padding: 15px 30px 15px 40px;
    color: #fff;
    font-family: Source Han Sans CN;
    font-size: 18px;
    display: block;
    /* ä¿®å¤IE11ä¸‹ Flex å¯¼è‡´çš„å°ºå¯¸å’Œæ–‡æœ¬æº¢å‡ºé—®é¢˜ */
    border-radius: 50px;
    background: linear-gradient(180deg, #d3443b 0%, #b32120 100%);
    border: 1px solid #ffd8a7;
}

.barrage-item .dot {
    position: absolute;
    left: 0;
    top: 50%;
    margin-top: -26.5px;
    /* ä¿®å¤IE11ä¸‹ç»å¯¹å®šä½å…ƒç´ çš„åž‚ç›´å±…ä¸­ */
    width: 53px;
    height: 53px;
    background: url(../images/d.png) no-repeat center center / 100% auto;
}

.barrage-item .text {
    display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
    line-height: 1.2;
}

/* åº•éƒ¨æŒ‰é’® */
.bottom-btn-area {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
}

.bless-btn {
    display: block;
    cursor: pointer;
}

.hex-inner-btn img {
    display: block;
    width: 89px;
    height: 165px;
    transition: transform 0.3s;
}

.bless-btn:hover img {
    transform: scale(1.05);
}

@keyframes barrage-move {
    0% {
        left: 100%;
    }

    100% {
        left: -100%;
    }
}

@media screen and (max-width: 1024px) {
    .top-title {
        top: 0;
    }
}

@media screen and (max-width: 500px) {
    .page-wrapper {
        height: 600px;
    }

    .hex-inner-btn img {
        width: 60px;
        height: auto;
    }

    .barrage-container {
        margin-top: 95px;
        margin-bottom: 130px;
    }

    .barrage-item {
        padding: 10px 10px 10px 30px;
        font-size: 16px;
    }

    .barrage-item .dot {
        width: 30px;
        height: 30px;
        top: 5px;
        margin-top: 0;
    }

    .barrage-item .dot {
        line-height: 30px;
    }
}